# SPDX-FileCopyrightText: 2024-2025 Sarah Vaupel <sarah.vaupel@uniworx.de>
#
# SPDX-License-Identifier: AGPL-3.0-or-later

parameters:
  - name: service
  - name: buildStep

steps:
  - task: Bash@3
    name: ${{parameters.buildStep}}_${{parameters.service}}
    env:
      HTTPS_PROXY: http://proxy.frankfurt-airport.de:8080
      HTTP_PROXY: http://proxy.frankfurt-airport.de:8080
      NO_PROXY: 'localhost,127.0.0.1,*.docker.internal,*.azmk8s.io,devfra.azurecr.io,devfra.westeurope.data.azurecr.io'
      FRAPORT_NOPROXY: 'dev.azure.com,*.dev.azure.com,*.fraport.de,*.frankfurt-airport.de'
      PROJECT_DIR: $(Build.Repository.LocalPath)
    inputs:
      targetType: inline
      script: |
        make -- --${{parameters.buildStep}}-${{parameters.service}} IN_CONTAINER=true IN_CI=true PROJECT_DIR=${PROJECT_DIR}